def repoclean():
  """A function to clean out auxiliary files after compiling.

  Args:
      NONE

  Returns:
      NULL
  """
  import os

  ##############################################################################
  # Clean out files with certain suffixes
  ##############################################################################

  #suffixlist = ['aux','out','pdf','toc','lot','lof','log']
  # But wait, keep the pdf!
  suffixlist = ['.aux','.out','.toc','.lot','.lof','.log','.blg','.bbl']

  files = os.listdir('.')

  print '\nPrinting all files...'
  print files

  found = []
  for f in files:
    for s in suffixlist:
      if s in f:
        found.append(f)

  print '\nPrinting matches for removal...'
  print found

  for f in found:
    os.remove(f)

